# $Revision: 1.28 $, $Date: 2004/12/27 20:47:30 $
Summary:	bootp/DHCP server and test programs
Summary(de):	bootp/DHCP-Server und Testprogramme
Summary(fr):	Serveur bootp/DHCP et programmes test
Summary(pl):	Serwer BOOTP/DHCP wraz z programami pomocniczymi
Summary(tr):	bootp/DHCP sunucusu ve test programlar
Name:		bootp
Version:	2.4.3
Release:	12
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.ntplx.net/pub/networking/bootp/%{name}-%{version}.tar.gz
# Source0-md5:	2a12d862f11908acf84652387be4e03b
Source1:	%{name}.inetd
Patch0:		%{name}-2.4.3-linux.patch
Patch1:		http://www.sghms.ac.uk/~mpreston/tools.htm/dhcp.patch
Patch2:		%{name}-2.4.3-glibc.patch
Patch3:		%{name}-2.4.3-pathfix.patch
Patch4:		%{name}-tmprace.patch
Patch5:		%{name}-errno.patch
Requires:	inetdaemon
Requires:	rc-inetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a server for the bootp protocol; which allows network
administrators to setup networking information for clients via an
/etc/bootptab on a server so that the clients can automatically get
their networking information. While this server includes rudimentary
DHCP support as well, we suggest using the dhcpd package if you need
DHCP support, as it is much more complete.

%description -l de
Dies ist ein Server fr das bootp-Protokoll, der
Netzwerkadministratoren das Einrichten von Netzinfos fr Clients ber
ein /etc/bootptab auf einem Server gestattet, so da die Clients ihre
Infos automatisch bekommen. Obwohl dieser Server rudimentren
DHCP-Support beinhaltet, empfehlen wir den Einsatz des dhcpd-Pakets,
wenn Sie DHCP-Untersttzung wnschen, weil sie damit umfassenderen
Support erhalten.

%description -l fr
C'est un serveur pour le protocole bootp, qui permet aux
administrateurs rseau de configurer les informations pour les clients
rseau via le fichier /etc/bootptab sur un serveur de telle manire
que les clients puissent automatiquement obtenir les informations.
Bien que le serveur comprenne aussi un support rudimentaire pour dhcp,
nous recommandons d'utiliser le package dhcp si vous dsirez un
support dhcp, car il est beaucoup plus complet.

%description -l pl
Pakiet ten zawiera serwer protokou bootp, ktry umoliwia zarzdzanie
informacjami o konfiguracji sieciowej komputerw w pliku
/etc/bootptab, a nastpnie dostarczenie na danie w/w informacji
komputerom (klientom). Pomimo, e program oferuje czciow obsug
DHCP, do serwowania informacji przenoszonych za pomoc tego protokou
lepiej uy dedykowanego serwera z pakietu dhcp.

%description -l tr
bootp sunucusu, istemcilerin a bilgilerini sunucu zerindeki bir
dosyadan almalarna olanak verir. Bu sunucu temel DHCP desteini
iermekle birlikte, DHCP desteine gerek duyulan durumlarda dhcpd
paketinin kullanm nerilir

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1

%build
%{__make} linux SYSDEFS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/sysconfig/rc-inetd,%{_sbindir},%{_mandir}/man{5,8}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} install.man \
	DESTDIR=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/bootptab
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/bootp

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
    /etc/rc.d/init.d/rc-inetd reload 1>&2
else
    echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
    /etc/rc.d/init.d/rc-inetd reload 1>&2
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not size md5 mtime) %{_sysconfdir}/bootptab
%attr(640,root,root) /etc/sysconfig/rc-inetd/bootp
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bootp.spec,v $
Revision 1.28  2004/12/27 20:47:30  dzeus
- added %post(un) rc-inetd reload
- fixed Source0 URL
- rel. 12

Revision 1.27  2004/07/18 10:04:43  havner
- added errno patch
- s/bootp/bootps in inetd file
- rel 11

Revision 1.26  2003/08/06 16:37:40  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.25  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.24  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 05:46:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/04/25 15:55:00  arturs
fixed a small typo

Revision 1.21  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/05/02 02:43:01  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.18  2000/06/09 07:22:48  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/05/18 16:58:01  kloczek
- spec adapterized.

Revision 1.16  2000/04/01 11:14:24  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:54:15  baggins
- translated kloczkish into english

Revision 1.14  1999/10/11 07:07:33  waszi
- added rc-inetd support

Revision 1.13  1999/07/16 15:52:11  baggins
- macros
- gziping docs

Revision 1.12  1999/07/12 23:05:54  kloczek

- added using CVS keywords in %changelog (for automating them).

* Wed Nov 13 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.4.3-9]
- added empty /etc/bootptab %config file,
- fixed tmp race (bootp-tmprace.patch).

* Fri Sep 18 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [2.4.3-8]
- added -q %setup parameter,
- changed Buildroot to /tmp/%%{name}-%%{version}-root,
- simplification in %install and %files,
- added using %%{name} and %%{version} in Source.

* Sat Aug 29 1998 Marcin Korzonek <mkorz@shadow.eu.org>
  [2.4.3-8]
- added pl translation,
- added %attr and %defattr macros in %files (allows build package from
  non-root account).

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May 13 1998 Alan Cox <alan@redhat.com>
- Fixed a potential problem with the bootfile buffer being non terminated
  allowing a theoretical exploit. We now check the buffer as we walk it. Bug
  noted and reported by Chris Evans.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- minor spec file cleanups
- now uses a build root and %attr
- requires inetd server

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
